[RISOLTO]Libreoffice-common

Sezione dedicata alle problematiche sull'uso dei tool di installazione e gestione di pacchetti, in una distribuzione Debian-based.

[RISOLTO]Libreoffice-common

Messaggioda Rikcrea » 01/08/2016, 21:01

Buongiorno Ragazzi,
è il mio primo post e non ho guardato il regolamento.
Sono pratico di forum spero di non fare gaffe.
Ad ogni modo due giorni fa ho installato openoffice e disinstallato libreoffice.
Openoffice scaricato da una repo non ufficiale, libreoffice disinstallato con sudo apt-get purge libreoffice*

ora....
Il problema si manifesta se voglio far upgrade o installare nuovi pacchetti:

Codice: Seleziona tutto
xxx@xxx:/home/xxx/Downloads# sudo apt-get install clamav-freshclam
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 clamav-freshclam : Depends: clamav-base (>= 0.99.2+dfsg-0+deb8u1) but it is not going to be installed
                    Depends: libclamav7 (>= 0.99.2) but it is not going to be installed
 libreoffice-core : Depends: libreoffice-common (> 1:4.3.3) but it is not going to be installed
 libreoffice-java-common : Depends: libreoffice-common but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).


ovviamente clamav l'ho digitato casualmente ma l'errore è lo stesso per qualunque programma(relativo alle stringhe contententi libreoffice-common)

comunque eseguendo -f install ottengo il seguente:

Codice: Seleziona tutto
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  coinor-libcbc3 coinor-libcgl1 coinor-libclp1 coinor-libcoinmp1
  coinor-libcoinutils3 coinor-libosi1 fonts-sil-gentium
  fonts-sil-gentium-basic libcdr-0.1-1 libetonyek-0.1-1 libfreehand-0.1-1
  libmspub-0.1-1 liborcus-0.8-0 libreoffice-avmedia-backend-gstreamer
  libreoffice-calc libreoffice-draw libreoffice-impress
  libreoffice-report-builder-bin libvisio-0.1-1 lp-solve
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  libreoffice-common
Suggested packages:
  libreoffice-style-crystal libreoffice-style-hicontrast
  libreoffice-style-oxygen libreoffice-style-sifr libreoffice-style-tango
Recommended packages:
  xfonts-mathml
The following NEW packages will be installed:
  libreoffice-common
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
63 not fully installed or removed.
Need to get 0 B/22.3 MB of archives.
After this operation, 81.2 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
(Reading database ... 188236 files and directories currently installed.)
Preparing to unpack .../libreoffice-common_1%3a4.3.3-2+deb8u5_all.deb ...
Unpacking libreoffice-common (1:4.3.3-2+deb8u5) ...
dpkg: error processing archive /var/cache/apt/archives/libreoffice-common_1%3a4.3.3-2+deb8u5_all.deb (--unpack):
 trying to overwrite '/usr/bin/soffice', which is also in package openoffice-debian-menus 4.1.2-9782
rmdir: failed to remove ‘/var/lib/libreoffice/share/prereg/’: No such file or directory
rmdir: failed to remove ‘/var/lib/libreoffice/share/’: No such file or directory
rmdir: failed to remove ‘/var/lib/libreoffice/program/’: No such file or directory
rmdir: failed to remove ‘/var/lib/libreoffice’: No such file or directory
rmdir: failed to remove ‘/var/lib/libreoffice’: No such file or directory
Processing triggers for gnome-icon-theme (3.12.0-1) ...
Processing triggers for hicolor-icon-theme (0.13-1) ...
Processing triggers for man-db (2.7.0.2-5) ...
Processing triggers for shared-mime-info (1.3-1) ...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
Unknown media type in type 'uri/mms'
Unknown media type in type 'uri/mmst'
Unknown media type in type 'uri/mmsu'
Unknown media type in type 'uri/pnm'
Unknown media type in type 'uri/rtspt'
Unknown media type in type 'uri/rtspu'
Processing triggers for desktop-file-utils (0.22-1) ...
Processing triggers for gnome-menus (3.13.3-6) ...
Processing triggers for mime-support (3.58) ...
Errors were encountered while processing:
 /var/cache/apt/archives/libreoffice-common_1%3a4.3.3-2+deb8u5_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


qualcuno sa aiutarmi?

grazie a tutti per l'attenzione
Ultima modifica di Rikcrea il 04/08/2016, 19:12, modificato 1 volta in totale.
Rikcrea
Newbie
Newbie
 
Messaggi: 8
Iscritto il: 01/08/2016, 20:54

Re: Libreoffice-common

Messaggioda c3v90 » 02/08/2016, 12:52

la risposta te la da apt stesso...
Codice: Seleziona tutto
Use 'apt-get autoremove' to remove them.


io cmq per rimuovere libreoffice avrei dato un
Codice: Seleziona tutto
apt autoremove libreoffice-core --purge
c3v90
 

Re: Libreoffice-common

Messaggioda Rikcrea » 02/08/2016, 17:20

Innanzitutto ti ringrazio della risposta, ma se fosse stato così semplice avrei già risolto, vi incollo anche i risultati di :

Codice: Seleziona tutto
apt-get autoremove libreoffice-core --purge
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 libreoffice-avmedia-backend-gstreamer : Depends: libreoffice-core but it is not going to be installed
 libreoffice-base : Depends: libreoffice-core (= 1:4.3.3-2+deb8u5) but it is not going to be installed
 libreoffice-base-core : Depends: libreoffice-core (= 1:4.3.3-2+deb8u5) but it is not going to be installed
 libreoffice-base-drivers : Depends: libreoffice-core but it is not going to be installed
 libreoffice-calc : Depends: libreoffice-core (= 1:4.3.3-2+deb8u5) but it is not going to be installed
 libreoffice-draw : Depends: libreoffice-core (= 1:4.3.3-2+deb8u5) but it is not going to be installed
 libreoffice-impress : Depends: libreoffice-core (= 1:4.3.3-2+deb8u5) but it is not going to be installed
 libreoffice-java-common : Depends: libreoffice-common but it is not going to be installed
 libreoffice-math : Depends: libreoffice-core (= 1:4.3.3-2+deb8u5) but it is not going to be installed
 libreoffice-report-builder-bin : Depends: libreoffice-core but it is not going to be installed
 libreoffice-sdbc-firebird : Depends: libreoffice-core but it is not going to be installed
 libreoffice-sdbc-hsqldb : Depends: libreoffice-core but it is not going to be installed
 libreoffice-writer : Depends: libreoffice-core (= 1:4.3.3-2+deb8u5) but it is not going to be installed
 python3-uno : Depends: libreoffice-core (= 1:4.3.3-2+deb8u5) but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).


Codice: Seleziona tutto
apt-get autoremove libreoffice-common --purge
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package 'libreoffice-common' is not installed, so not removed
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 libreoffice-core : Depends: libreoffice-common (> 1:4.3.3) but it is not going to be installed
 libreoffice-java-common : Depends: libreoffice-common but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).


ed infine

Codice: Seleziona tutto
apt-get autoremove
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
 libreoffice-core : Depends: libreoffice-common (> 1:4.3.3) but it is not installed
 libreoffice-java-common : Depends: libreoffice-common but it is not installed
E: Unmet dependencies. Try using -f.


spero qualcuno riesca ad aiutarmi :)

update: nemmeno dpkg -r --pending aiuta richiede sempre -f install.....brutto loop
Rikcrea
Newbie
Newbie
 
Messaggi: 8
Iscritto il: 01/08/2016, 20:54

Re: Libreoffice-common

Messaggioda ferdybassi » 02/08/2016, 20:21

Credo che siano stati fatti un po' di pasticci, dato che sembra che ti trovi in una situazione zoppa, in cui libreoffice è stato disinstallato a metà.
Non ho visto il risultato del primo suggerimento che Debian ti offre:
Codice: Seleziona tutto
apt-get -f install

Prova. Dovrebbe reinstallarti tutti i pacchetti di libreoffice che mancano.
A quel punto, con tutto libreoffice installato di nuovo, puoi provare a rimuoverlo totalmente come ti è stato suggerito:
Codice: Seleziona tutto
apt autoremove libreoffice-core --purge


Ciaociao
Immagine  Immagine
Avatar utente
ferdybassi
Administrator
Administrator
 
Messaggi: 3257
Iscritto il: 28/12/2006, 4:22
Località: S. Angelo Lodigiano (LO)

Re: Libreoffice-common

Messaggioda Rikcrea » 02/08/2016, 20:28

Ancora grazie per le risposte.
Come dicevo apt-get -f install è stata la prima cosa che ho fatto, ed ha generato quel loop.
quindi nada non aiuta
Rikcrea
Newbie
Newbie
 
Messaggi: 8
Iscritto il: 01/08/2016, 20:54

Re: Libreoffice-common

Messaggioda Rikcrea » 03/08/2016, 15:07

RISOLTO:
mi sono dato di olio di gomito e ho abusato di:
Codice: Seleziona tutto
dpkg -P *nomepacchetto

rimuovendo tutte le dipendenze di libreoffice common e core, ora gira tutto a meraviglia.

YOLO! O0
Rikcrea
Newbie
Newbie
 
Messaggi: 8
Iscritto il: 01/08/2016, 20:54

Re: Libreoffice-common

Messaggioda marcomg » 04/08/2016, 18:22

Ottimo!! ;)
Ora leggi il regolamento e scopri che devi modificare il primo messaggio inserendo il tag [RISOLTO] nel titolo della discussione :D
Ciao e buona permanenza su debianizzati :)
Windows is what you open when you want fresh air from outside.
Avatar utente
marcomg
Global Moderator
Global Moderator
 
Messaggi: 5524
Iscritto il: 22/08/2011, 18:54


Torna a Apt-get and friends

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite